Bug 142763 - Add support for execution/debugging of a single test method
Add support for execution/debugging of a single test method
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Jesse Glick
issues@apisupport
:
Depends on: 141246 142579
Blocks: 72080
  Show dependency treegraph
 
Reported: 2008-08-04 09:49 UTC by Marian Petras
Modified: 2010-07-13 03:31 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Petras 2008-08-04 09:49:13 UTC
Change the ActionProvider and the Ant build script template such that actions
org.netbeans.spi.project.SingleMethod.COMMAND_(RUN|DEBUG)_SINGLE_METHOD are
supported.
Comment 1 Marian Petras 2008-08-04 09:51:50 UTC
For reference on how to make it work with "Compile on Save", look at http://hg.netbeans.org/main/rev/bf6e5ac3b136. I
will add another reference here once full implementation for J2SE projects is ready.
Comment 2 Jesse Glick 2010-07-08 21:36:48 UTC
core-main #9bf6e7c757b6
Comment 3 tomwheeler 2010-07-12 18:06:16 UTC
I verified using core build #4862 from deadlock.netbeans.org with a nightly build of Ant (1.8.2 alpha) and JDK 1.6.0u21.

Thank you SO MUCH Jesse for this feature.  It is quite possibly the most helpful feature that's been added to the IDE in the past two years.  I'd write a thank you note to you on the back of $50 bill if only I knew where to send it.
Comment 4 tomwheeler 2010-07-12 18:55:31 UTC
I'll just note for others who may be following this issue that for this to work, you not only need a version of the IDE which includes the fix, but it seems the harness used to build your platform application must also include it.  

Thus, the "Run again" item on the context menu won't show up if your platform application is based, for example, on 6.8 and uses the default 6.8 build harness.
Comment 5 Jesse Glick 2010-07-12 19:23:29 UTC
Correct, the action requires some minor additions to the build harness, so it is enabled only for post-6.9 harness versions.
Comment 6 Quality Engineering 2010-07-13 03:31:10 UTC
Integrated into 'main-golden', will be available in build *201007130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9bf6e7c757b6
User: Jesse Glick <jglick@netbeans.org>
Log: #142763: Add support for execution/debugging of a single test method


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo